# SIG Device IoT Charter

This charter adheres to the conventions described in [KubeEdge Open Governance](https://github.com/kubeedge/community/blob/master/GOVERNANCE.md) and uses the Roles and Organization Management outlined in the governance doc.

## Scope

SIG Device IoT is responsible to simplify, develop, and maintain device (protocols) integrations as extensions, or add-ons, to KubeEdge deployments.

### In scope

#### Areas of Focus

- Common API abstraction for different edge device models / profiles and edge device instances, to facilitate access and management of various types of edge devices
- Extensible edge device communication framework, making it easy for users/applications to integrate/access different industrial devices with their own protocols
- Simplify the development and implementation of customized Device Mapper, by providing reference implementation, SDK, code skeleton, etc.
- Investigate and verify the possibility of integration with other IOT open source projects, and promote cross-community cooperation
- Data management on Edge to consume the data produced by devices
- Relevant tools, certification proposals for interoperability/compatibility testing, verifications etc.

### Out of scope
- Device lifecycle management, e.g. device provisioning, device OTA upgrade
- The contents of individual APIs are owned by SIG Architecture

## Roles and Organization Management

This SIG follows and adheres to the Roles and Organization Management outlined in KubeEdge Open Governance and opts-in to updates and modifications to KubeEdge Open Governance.

### Additional responsibilities of Chairs

- Manage and curate the project boards associated with all sub-projects ahead of every SIG meeting so they may be discussed
- Ensure the agenda is populated 24 hours in advance of the meeting, or the meeting is then cancelled
- Report the SIG status at events and community meetings wherever possible
- Actively promote diversity and inclusion in the SIG
- Uphold the KubeEdge Code of Conduct especially in terms of personal behavior and responsibility
